<?php 
$contentData = [
    'value'=>''
];
$isempty = false;
if ($patient->canvas_data) {
    $canvasData = json_decode($patient->canvas_data, true);
    if (isset($canvasData["ros"])) {
        $contentData = $canvasData["ros"];
    }
    else {
        $isempty = true;
    }
}
else {
    $isempty = true;
}

if($isempty) {
    echo '<span class="text-secondary">No ROS data</span>';
}else {
    echo $contentData['value'];
}